Bug 878355 - [ru_RU][fr_FR][SAM Web GUI] - Text not fitting in the level properly
[ru_RU][fr_FR][SAM Web GUI] - Text not fitting in the level properly
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
All Linux
high Severity high
: rc
: ---
Assigned To: Adam Price
Og Maciel
: i18n, Translation
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-20 04:15 EST by Satyabrata Maitra
Modified: 2013-02-21 14:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:19:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The screen shot of the text which looks cut from the bottom. (59.90 KB, image/png)
2012-11-20 04:15 EST, Satyabrata Maitra
no flags Details
fr_FR text cutting from the bottom. (75.63 KB, image/png)
2012-11-22 04:23 EST, Satyabrata Maitra
no flags Details
fixed in Russian (43.97 KB, image/png)
2013-01-23 15:51 EST, Og Maciel
no flags Details
fixed in French (35.87 KB, image/png)
2013-01-23 15:54 EST, Og Maciel
no flags Details

  None (edit)
Description Satyabrata Maitra 2012-11-20 04:15:40 EST
Created attachment 648349 [details]
The screen shot of the text which looks cut from the bottom.

Description of problem:
In ru_RU locale, in the New User link, when Click, the text of that level seems not fitting in the level properly. It looks like the long translation string causing this. And the devel needs to keep the level properties as dynamic to fit with its texts. Screen shot attached.

Version-Release number of selected component (if applicable):
katello-headpin-all-1.2.5-1h.el6_3
Subscription Asset Manager Version: 1.2.5-1h.el6_3

How reproducible:
Always.

Steps to Reproduce:
1. Login into SAM Web GUI page.
2. Switch the preferred locale as ru (Russian)
3. Click on "New User" Link to create a new user.
4. Observe the New User link now.
  
Actual results:
When Clicked, the New User level is not able to fit its text properly and it looks like the text is cutting from the bottom side.

Expected results:
The text should be well fitted in the level, leaving some margin all around.

Additional info: Screen Shot attached
Comment 1 Satyabrata Maitra 2012-11-22 04:23:55 EST
Created attachment 649594 [details]
fr_FR text cutting from the bottom.

Description of problem:
In fr_FR locale, in the Import Manifest (Contents --> +Import New Manifest), when Click, the text of that level seems not fitting in the level properly. It looks like the long translation string causing this. And the devel needs to keep the level properties as dynamic to fit with its texts. Screen shot attached.

Version-Release number of selected component (if applicable):
katello-headpin-all-1.2.5-1h.el6_3
Subscription Asset Manager Version: 1.2.5-1h.el6_3

How reproducible:
Always.

Steps to Reproduce:
1. Login into SAM Web GUI page with login credentials.
2. Switch the preferred locale as fr (French)
3. Click on "Contents" Tab and then Click on +Import New Manifest Link.
4. Observe the +Import New Manifest link now.
  
Actual results:
When Clicked, the +Import New Manifest level is not able to fit its text properly and it looks like the text is cutting from the bottom side.

Expected results:
The text should be well fitted in the level, leaving some margin all around.

Additional info: Screen Shot attached
Comment 3 Satyabrata Maitra 2012-12-05 06:05:20 EST
Hi Adam
Thanks. We will test the fix on schedule, once the new package is build and available for QA.
Comment 6 Og Maciel 2013-01-23 15:51:24 EST
Created attachment 686260 [details]
fixed in Russian
Comment 7 Og Maciel 2013-01-23 15:54:35 EST
Created attachment 686261 [details]
fixed in French
Comment 8 Og Maciel 2013-01-23 15:55:53 EST
Verified:

* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-12h.el6_3.noarch
* katello-cli-common-1.2.1-12h.el6_3.noarch
* katello-common-1.2.1-15h.el6_3.noarch
* katello-configure-1.2.3-3h.el6_3.noarch
* katello-glue-candlepin-1.2.1-15h.el6_3.noarch
* katello-headpin-1.2.1-15h.el6_3.noarch
* katello-headpin-all-1.2.1-15h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 10 errata-xmlrpc 2013-02-21 14:19:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.